Subject: Re: bug#10471: Severe or critical - deletes existing files and leaves nothing. (cp)

From: Linda Walsh <[email-masked]>
Date: Mon, 09 Jan 2012 16:46:40 -0800

reopen 10468
thanks
=============

You didn't answer my question.. I explained why it was a bug.

You didn't explain why it is copying links.

Don't put it on me to reproduce w/o cygwin... the program's
isn't behaving as documented.

If you think it is the cause of cygwin...
I asked you to explain why.

The fact that there is no behavior in cygwin that would activate forced
link coping doesn't seem to bother you.

Eric Blake wrote:
> forcemerge 10468 10471
> thanks
> 
> On 01/09/2012 05:11 PM, Linda Walsh wrote:
>> Please do not close this bug... EB doesn't know what he is talking
>> about -- he didn't read the bug.
> 
> I did too read your report, but I stand by my position that upstream cp
> is doing the right things for a case-sensitive system,
---
	Whether or not "cp" tries to duplicate links on the local system
has NOTHING to do with case sensitivity...

It is an explicit 'cp' option "--preserve=links" (turned on with
-a or -d -- neither of which I used in the 2nd and 3rd examples)...